Go to the latest version of this document.

# ``twisted`.`words`.`protocols`.`jabber`.`sasl_mechanisms`.`Anonymous``

class documentation

`class Anonymous: (source)`

Implements interfaces: `twisted.words.protocols.jabber.sasl_mechanisms.ISASLMechanism`

View In Hierarchy

Implements the ANONYMOUS SASL authentication mechanism.

This mechanism is defined in RFC 2245.

Method | `getInitialResponse` | Get the initial client response, if defined for this mechanism.
Method | `getResponse` | Get the response to a server challenge.
Class Variable | `name` | Common name for the SASL Mechanism.

def getInitialResponse(self): (source)
from `twisted.words.protocols.jabber.sasl_mechanisms.ISASLMechanism`

Get the initial client response, if defined for this mechanism.

Returns
`str`. | initial client response string.

def getResponse(self, challenge): (source)
from `twisted.words.protocols.jabber.sasl_mechanisms.ISASLMechanism`

Get the response to a server challenge.

Parameters
challenge:`str`. | server challenge.

Returns
`str`. | client response.

name: `str` = (source)
from `twisted.words.protocols.jabber.sasl_mechanisms.ISASLMechanism`

Common name for the SASL Mechanism.